// Function is called when clicked on "Details" Toolbar pushbutton
function clickDetails(){
	onscreen 'SAPLSMTR_NAVIGATION.0100'
		enter("/nCN42N");	

	onscreen 'SAPLCNIS.0600'
		set('F[Database prof.]', '000000000001');
		enter();
	
	// Project Info System: Project Definitions Initial Screen
	onscreen 'RPSISPD000.1000'
		set('F[Project]', 'I/2302');
		set('F[Layout]', '1SAP');
		enter('/8');
	
	// Project Info System: Project Definitions Overview
	onscreen 'SAPLPSIS_SINGLE01.0100'
		enter({'control':'CONTAINERCTRL.GridViewCtrl','item':'&DETAIL','event':10});		
}

// Function is called when exporting local file on "CN42N" transaction 
function exportLocalFile(){
	onscreen 'SAPLSMTR_NAVIGATION.0100'
		enter("/nCN42N");	

	onscreen 'SAPLCNIS.0600'
		set('F[Database prof.]', '000000000001');
		enter();
	
	// Project Info System: Project Definitions Initial Screen
	onscreen 'RPSISPD000.1000'
		set('F[Project]', 'I/2302');
		set('F[Layout]', '1SAP');
		enter('/8');
	
	// Project Info System: Project Definitions Overview
	onscreen 'SAPLPSIS_SINGLE01.0100'
		enter({'control':'CONTAINERCTRL.GridViewCtrl','item':'&MB_EXPORT;1139;159','event':11});		
	
	onscreen 'SAPLPSIS_SINGLE01.0100'
		enter({'control':'CONTAINERCTRL.GridViewCtrl','item':'&PC','event':14});			
}

// User Interface
pushbutton([TOOLBAR],"Details",{"process":clickDetails});
pushbutton([TOOLBAR],"Local File",{"process":exportLocalFile});
